{% extends 'base.html' %}
{% load static %}
{%block content%}
<link rel="stylesheet" href="{% static 'RS.css' %}">

<style>
  .autocomplete {
    position: relative;
    display: inline-block;
  }
  
  .autocomplete-items {
    position: absolute;
    border: 1px solid #d4d4d4;
    border-bottom: none;
    border-top: none;
    z-index: 99;
    /*position the autocomplete items to be the same width as the container:*/
    top: 100%;
    left: 0;
    right: 0;
  }
  
  .autocomplete-items div {
    padding: 10px;
    cursor: pointer;
    background-color: #fff;
    border-bottom: 1px solid #d4d4d4;
  }
  
  /*when hovering an item:*/
  .autocomplete-items div:hover {
    background-color: #e9e9e9;
  }
  
  /*when navigating through the items using the arrow keys:*/
  .autocomplete-active {
    background-color: DodgerBlue !important;
    color: #ffffff;
  }
  
</style>


{% if user.is_authenticated %}
<div class="container swab" style="margin-top: 1rem;">
    <div class="row">
      <div class="col-lg-6">
        <div class="text-center">
          <form method="POST" onsubmit="myFunction()" class="post-form" enctype="multipart/form-data">
            
            {%csrf_token%}
                <div style="font-size: 20px;">{{data_form.nama_donatur.label_tag}}</div>
                <div id="form-swab">{{data_form.nama_donatur}}</div>

                <div style="font-size: 20px;">{{data_form.nominal_donatur.label_tag}}</div>
                <div id="form-swab">{{data_form.nominal_donatur}}</div>
                <div style="font-size: 20px;">
                <label for="provinsi_pelamar">Asal Provinsi:</label>
                </div>
                <br>
                
                <select id="provinsi_pelamar" name="provinsi_pelamar" class="form-control">
                    {% for provinsi in listProvinsi %}

                    {% if nomor_prov == forloop.counter%}

                    <option id="prov{{forloop.counter}}" value="{{forloop.counter}}" selected>
                        {{provinsi}}</option>
                    {% else %}
                    <option id="prov{{forloop.counter}}" value="{{forloop.counter}}">{{provinsi}}
                    </option>
                    {% endif %}
                    {% endfor %}
                </select>

                <div class="form-group autocomplete">
                <div style="font-size: 20px;">
                  {{data_form.kota_donatur.label_tag}}
                </div>
                <div id="form-swab">
                  {{data_form.kota_donatur}}
                </div>
              </div>
                <div style="font-size: 20px;">{{data_form.pesan_donatur.label_tag}}</div>
                <div id="form-swab">{{data_form.pesan_donatur}}</div>
                <div style="font-size: 20px;">{{data_form.bukti_donatur.label_tag}}</div>
                <div id="form-swab">{{data_form.bukti_donatur}}</div>


              <div class="container tombol">
                <div class="text-center">
                  <br>
                  <button class="btn btn-primary" role="button" type="submit">submit</button>
                </div>
              </div>
              </form>
        </div>      
        </div>
      <div class="col-lg-6">
        <div class="container">
          <div class="text-center">
            <br>
            <h3 style="font-weight: bolder;">transfer ke rekening berikut</h3>
            <h3 style="font-weight: bolder;">6208790982 (BCA)</h3>
            <h3 style="font-weight: bolder;">a.n Ammar Faridzki</h3>
            <h3 style="font-size: 45px; line-height: 70px;font-weight: bolder;">atau</h3> 
            <h3 style="font-weight: bolder;">scan disini</h3>
              <img src="{%static 'barcode.png' %}" style="width: 216px; height: 234px;">
            </div>
        </div>
      </div>
    </div>
  </div>

  {% else %}
  <div class="container screening" style="margin-top:1rem;">
    <div class="row">
        <div class="col-lg-12">
            <h1 style="text-align: center; margin-top: 75px;"><a href="{% url 'login:login' %}">Anda harus login terlebih dahulu supaya dapat melakukan donasi</a></h1>
        </div>
    </div>
</div>
{% endif %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="{% static 'jsMarsha.js' %}"></script>
<script>
function myFunction() {
    alert("Donasi berhasil!");
}
</script>
{%endblock%}